<!DOCTYPE html>
<html>
   <head>
     <meta name="viewport" content="width=device-width, initial-scale=1">
      <link rel=stylesheet href="style2.1.css" type="text/css">
	  <link rel=stylesheet href="topmenu2.css" type="text/css">
	  <link rel=stylesheet href="column1.css" type="text/css">
	  <title>Zastosowania informatyki w naukach przyrodniczych</title>
   </head>
<body align="center" style="background-color:#F0F0F0">
<!--pasek nawigacyjny-->
  <div class="navbar">
  <a class="active" href="#top">Wróć na górę</a>
  <a class="active" href="#a">Bioinformatyka</a>
  <a class="active" href="#b">Fizyka komputerowa</a>
  <a class="active" href="#c">Informatyka Chemiczna</a>
  <a class="active" href="#d">Astronomia</a>
  <a class="active" href="#e">Test</a>
  </div> 
<a name="top"> </a>
<!--strona pod paskiem-->
   <div class="main">

<h1>
 Przegląd zastosowań informatyki w naukach przyrodniczych
</h1>

<div class="parallax"></div>
<div class="main2" style="height:14000px">
   

<br>
Informatyka obecnie znajduje zastosowanie na wielu płaszczyznach naszego życia. <br>
Nie inaczej jest pośród nauk przyrodniczych, w których wykorzystanie informatyki <br>
jest kluczowym elementem do usprawnienia i zwiększenia dokładności pracy <br>
W tym artykule znajdziecie informacje na temat następujących dziedzin:<br>

<ol class="center" > 
<li><a href="#a">Bioinformatyka</a></li> <br>
<li><a href="#b">Fizyka komputerowa</a></li> <br>
<li><a href="#c">Informatyka Chemiczna</a></li> <br>
<li><a href="#d">Astronomia</a></li> <br>
</ol>

<hr>
<a name="a"> </a>
<div class="parallax2"></div>

<h1>Bioinformatyka</h1>


<div class="row">
  <div class="column" style="background-color:#CAEC52;">
    <h2>Bioinformatyka – interdyscyplinarna dziedzina łącząca nauki biologiczne i informatyczne.</h2>
    <p>Obejmuje rozwój metod obliczeniowych służących do badania i symulacji struktury, funkcji i ewolucji genów, genomów i białek. Tworzy metody wykorzystywane do analizy i zarządzania informacji biologicznej gromadzonej w toku badań genomicznych oraz badań prowadzonych z zastosowaniem wysokoprzepustowych technik eksperymentalnych. Z bioinformatyką powiązane są: genomika, proteomika, lipidomika, metabolomika, transkryptomika i konektomika. W szerszym znaczeniu obejmuje także biokomputery i neuroinformatykę. <br></p>
  </div>
  <div class="column" style="background-color:#94B912;">
    <h2>Podstawowe zagadnienia bioinformatyki:</h2>
    <p> 
- katalogowanie informacji biologicznych <br><br>
- analiza sekwencji DNA  <br><br>
- analiza sekwencji genomów, porównywanie genomów<br><br>
- ustalanie ewolucyjnych relacji pomiędzy zbiorami sekwencji / organizmów <br><br>
- genotypowanie (używane między innymi do wyszukiwania genów odpowiedzialnych za choroby genetyczne, w ustalaniu ojcostwa, kryminalistyce)<br><br>
- analiza ekspresji genów <br><br>
- analiza sekwencji białek, nazywana też proteomiką (porównywanie sekwencji, wyszukiwanie domen i motywów, przewidywanie własności fizyko-chemicznych, drugo- i trzecio-rzędowej struktury białka, lokalizacji w obrębie komórki, analiza danych z eksperymentów spektroskopowych)<br><br>
- katalogowanie funkcji genów/białek, analiza dróg metabolicznych (np. metabolizm lipidów) oraz dróg sygnałowych  <br><br>
- modelowanie molekularne<br><br>
- modelowanie układów biologicznych<br><br>
- morfometria / analiza obrazu<br><br>
    </p>
  </div>
</div>

<br>
<h2>Z jakich dziedzin wiedzy korzysta bioinformatyka?</h2>
Bioinformatyka jest ściśle związana z biologią obliczeniową. Podział między obiema dziedzinami przebiega na styku nauki i technologii. Biologia obliczeniowa opracowuje modele ilościowe zagadnień biologicznych bazujące na sformułowaniach matematycznych, natomiast bioinformatyka korzystając z tych modeli tworzy algorytmy dające rozwiązania. Bioinformatyka zajmuje się więc rozwijaniem narzędzi do analiz sekwencji, strukturalnych, funkcjonalnych i systemowych oraz narzędzi do przetwarzania informacji przechowywanych w bazach danych.<br><br>

W celu analizy danych biologicznych przy pomocy bioinformatyki tworzone są programy, które używają algorytmów z teorii grafów, sztucznej inteligencji czy eksploracji danych. Algorytmy są natomiast zależne od podstaw teoretycznych, takich jak matematyka dyskretna czy statystyka.

<br><br>
<h2>Analiza sekwencji DNA</h2>
<br>
<img src="sekwenator.jpg" alt="sekwenator" class="center2">
<br>
 Pierwsze maszyny do automatycznego sekwencjonowania powstały w latach siedemdziesiątych. Opierały się one na metodzie terminacji łańcucha, za którą w 1974 r. biochemicy Fred Sanger i Walter Gilbert otrzymali Nagrodę Nobla. Od tamtego momentu technologia ta stała się w pełni zautomatyzowana, a zasób zgromadzonych danych genomowych znacząco wzrósł. Powodem tego jest niski koszt takich operacji oraz możliwość pracy nad większymi genomami. Współczesne maszyny do sekwencjonowania są bardzo wydajne i mogą odkodować około 1,5 miliona zasad w ciągu 24h. Wyznaczanie pierwszorzędowej struktury DNA organizmów stanowi, będąc pierwszym krokiem w kierunku poznania i zrozumienia genomów i zakodowanych w nich funkcji, ważną pozycję w prowadzonych współcześnie badaniach.
 <br><br>
 <h2>Oprogramowanie i narzędzia</h2>
 Fundacja Bioinformatyki Open Source (The Open Bioinformatics Foundation (O|B|F)) jest organizacją non-profit, która zajmuje się promocją wolnego oprogramowania w bioinformatyce. Jest ona odpowiedzialna za takie projekty jak BioPerl, BioJava and Biopython. Ponadto wspiera coroczną konferencję związaną z oprogramowaniem o otwartym kodzie wykorzystywanym w bioinformatyce (Bioinformatics Open Source Conference (BOSC)).
<br><br>
Wiele spośród narzędzi i oprogramowania wykorzystywanych w bioinformatyce jest dostępnych za darmo lub w postaci otwartego kodu źródłowego. Połączenie ciągłego zapotrzebowania na nowe algorytmy służące do analizy i swobodny dostęp do kodu programów umożliwiło rozwój darmowych programów. Wszystkie grupy badawcze mogą przyczynić się to ich ulepszenia. Darmowe oprogramowanie przyczynia się również do tworzenia pewnych standardów i integracji bioinformatycznych danych.




<hr>
<a name="b"> </a>
<div class="parallax3"></div>

<h1>Fizyka komputerowa</h1>

<h2>Dział nauk ścisłych zajmujący się zastosowaniem komputerów i ich możliwości w badaniach fizycznych.</h2> <br>
Przedmiot jej zainteresowań można podzielić na dwie odrębne części: <br><br>

<div class="row">
  <div class="column" style="background-color:#CAEC52;">
    <h2>Teoretyczna fizyka komputerowa</h2> 
 <p> 
 Jej głównym polem działania jest rozwiązywanie problemów fizycznych metodami numerycznymi (i dlatego często sprowadzaną wprost do fizyki obliczeniowej lub fizyki numerycznej)<br><br>
 Przedmiotem badań teoretycznych fizyków komputerowych są wszystkie zagadnienia związane z metodami numerycznymi i ich zastosowaniem. Najważniejszymi obszarami zainteresowań teoretycznej fizyki komputerowej są: metody Monte Carlo i dynamika molekularna. <br><br>

W metodzie Monte Carlo standardowym narzędziem jest generator liczb pseudolosowych, tj. algorytm generujący liczby, które w przybliżeniu można traktować jako wartości zmiennej losowej opisanej danym rozkładem prawdopodobieństwa. Użycie takiego generatora umożliwia prowadzenie symulacji o charakterze probabilistycznym. Metoda Monte Carlo jest także używana w innych zagadnieniach, np. do obliczania całek wielokrotnych.<br><br>

W ramach dynamiki molekularnej numerycznie rozwiązywane są równania ruchu wielu ciał. Metoda została zapoczątkowana przez zespół E. Fermiego, J. Pasty i S. Ulama do badania dynamiki układu sprzężonych oscylatorów.<br><br>

Metody fizyki komputerowej odegrały również wielką rolę w badaniach zjawiska chaosu. Fizyka komputerowa przenika się w niektórych działach z chemią komputerową (obliczeniową). W ramach teoretycznej fizyki komputerowej prowadzone są również badania nad komputerami kwantowymi oraz konstruowaniem algorytmów.<br><br>

Aktualnie przez teoretycznych fizyków komputerowych prowadzone są również prace nad próbami analizy sieci komputerowych (a więc układów złożonych) przy użyciu aparatu pojęciowego fizyki statystycznej oraz termodynamiki.
 </p>
  </div>
  
  <div class="column" style="background-color:#94B912;">
    <h2>Doświadczalna fizyka komputerowa</h2>
    <p> 
Głównie zajmuje się ona zastosowaniem komputerów w doświadczeniach fizycznych (np. systemami akwizycji danych, sterowaniem pomiarami, elektroniczną aparaturą wyspecjalizowaną i komunikacją z nią).
<br><br>
Przedmiotem zainteresowań doświadczalnej fizyki komputerowej jest szeroko pojęte zastosowanie komputerów w doświadczeniach oraz komputerowe wspomaganie pomiarów. Głównym polem działania fizyków komputerowych w tej materii jest konstruowanie systemów akwizycji danych – zarówno w ich części sprzętowej, jak i programowej. Systemy akwizycji danych stworzone na potrzeby doświadczeń fizycznych są często adaptowane do zastosowań przemysłowych (monitorowanie i sterowanie pracą urządzeń) oraz medycznych (zbieranie danych z aparatury medycznej).<br><br>

Doświadczalna fizyka komputerowa zajmuje się również zagadnieniami związanymi z elektroniką, nowymi technologiami telekomunikacyjnymi oraz informatycznymi. Popularnym polem badań fizyków komputerowych jest poszukiwanie, testowanie i konstruowanie prototypów alternatywnych części składowych komputerów (odpowiedników fundamentalnych układów tradycyjnej elektroniki cyfrowej).
    </p>
  </div>
</div>


 



<hr>
<a name="c"> </a>
<div class="parallax4"></div>

<h1>Informatyka Chemiczna</h1>
Nauka zajmująca się wykorzystaniem informatyki do rozwiązywania różnorodnych problemów chemicznych.
Te techniki, nazywane często metodami in silico, wykorzystywane są do przeprowadzania obliczeń w chemii obliczeniowej i chemii kwantowej, a także w procesie projektowania leków.<br><br>
<div class="row">
  <div class="column" style="background-color:#CAEC52;">
    <h2>Zastosowania</h2>
    <p>
	<b>Chemiczne bazy danych</b> <br>
Przechowywanie i katalogowanie danych stanowi jeden z głównych celów tej dyscypliny. Tematyka ta wiąże się z takimi zagadnieniami nauk komputerowych jak eksploracja danych oraz uczenie maszynowe. Problemy badawcze związane z eksploracją danych koncentrują się na: <br><br>

- eksploracji baz danych<br><br>
- eksploracji grafów<br><br>
- eksploracji związków chemicznych<br><br>
- analizy sekwencji <br><br>
- analizy danych strukturalnych<br><br>

<b>Formaty plików chemicznych</b> <br>
Do wygodnego przechowywania informacji o wzorach strukturalnych związków chemicznych wykorzystuje się wyspecjalizowane formaty zapisu danych, takich jak oparty na XML-u Chemical Markup Language oraz SMILES. Dane w tej postaci są często deponowane w dużych bazach danych. Formaty zapisu z rozszerzeniami takimi jak .pdb, .ent lub .cif służą do przechowywania informacji o przestrzennej budowie związków chemicznych natomiast wiele innych zawiera dane jedynie o wzorze dwuwymiarowym lub właściwościach fizykochemicznych.<br><br>

<b>Screening wirtualny</b> <br>
W przeciwieństwie do screeningu wysokoprzepustowego metoda ta zakłada wygenerowanie rozległej wirtualnej biblioteki związków chemicznych, które następnie poddawane są analizie. Zazwyczaj polega ona na przeprowadzeniu dokingu molekularnego w celu znalezienia związków najsilniej oddziałujących z cząsteczką, którą próbkuje się bibliotekę. W niektórych przypadkach stosuje się też chemię kombinatoryczną do rozbudowy potrzebnej biblioteki związków. Często także stosuje się przeszukiwanie bibliotek złożonych z wyizolowanych związków naturalnych.
	</p>
  </div>
  <div class="column" style="background-color:#94B912;">
    <h2>Modelowanie molekularne</h2>
    <p> 
Jest to zbiór technik obliczeniowych, które służą do modelowania i przewidywania właściwości cząsteczek lub układów ponadcząsteczkowych. <br><br>

Modelowanie molekularne nierozłącznie jest związane z komputerami, których moc obliczeniowa decyduje o dokładności wykonywanych symulacji rozmaitych zjawisk na poziomie pojedynczych cząsteczek. W układach o dużej złożoności stosuje się uproszczone założenia lub wychodzi się z pewnych założeń początkowych, wynikających z wcześniejszych danych eksperymentalnych. Ośrodki naukowe zaangażowane w modelowanie molekularne posiadają własne centra komputerowe lub korzystają z czasu, jaki jest im przydzielony na superkomputerach należących do innych.<br><br>

Modelowanie molekularne znajduje m.in. zastosowanie w nanotechnologii, do projektowania leków, poznawania struktur biologicznych, których sekwencja jest znana a budowa i funkcja jeszcze nie, w badaniach materiałowych i w wielu innych miejscach.<br><br>

Istnieją również projekty związane z modelowaniem molekularnym, które wykorzystują moce spontanicznie tworzonych przez wolontariuszy sieci obliczeń rozproszonych, np. projekt Rosetta@home, zajmujący się między innymi poszukiwaniem nowych leków przeciwnowotworowych czy Folding@home, w podobnych celach symulujący zwijanie białek.<br><br>

Molekularne modelowanie jest rutynowo stosowane do poznawania struktury dynamiki i termodynamiki rozmaitych związków chemicznych. W biologii molekularnej przy użyciu modelowania molekularnego badano zwijanie białka, katalizę enzymów, stabilność białek, cząsteczkowe rozróżnianie powierzchni białek i DNA. Intensywnie rozwijane są kierunki poszukiwań metod i materiałów nanotechnologicznych.
    </p>
  </div>
</div>



<hr>
<a name="d"> </a>
<div class="parallax5"></div>

<h1>Astronomia</h1>

Komputery znalazły w astronomii bardzo szerokie zastosowanie podczas załogowych i bezzałogowych wypraw i w badaniach przestrzeni kosmicznej, śledzeniu ciał niebieskich i pomiarze danych. <br><br>
<div class="row">
  <div class="column" style="background-color:#CAEC52;">
    <h2>Astronomia teoretyczna</h2>
    <p> Wykorzystuje różnorodne narzędzia, które obejmują modele analityczne (np. modele politropowe do opisu struktury gwiazdy) i obliczeniowe symulacje numeryczne. Każdy z nich ma pewne zalety. Modele analityczne procesu są lepsze do uzyskiwania wglądu w naturę zjawiska. Modele numeryczne są niezbędne do bardziej precyzyjnego opisu zjawisk złożonych i odtwarzają zjawiska i efekty, których w modelach analitycznych nie widać.<br><br>

Astronomowie teoretycy tworzą i rozwijają modele teoretyczne, które wyjaśniają obserwowane zjawiska oraz przewidują istnienie nowych. To pomaga obserwatorom szukać danych, które mogą obalić model lub pomóc w wyborze pomiędzy kilkoma modelami równorzędnymi lub sprzecznymi. Teoretycy modyfikują swoje modele w miarę napływania nowych obserwacji. W przypadku niezgodności modelu i obserwacji często wystarczy niewielka modyfikacja parametrów modelu lub założeń, aby model dopasować do danych. Poważne sprzeczności modelu i obserwacji z czasem prowadzą do zarzucenia koncepcji związanej z danym modelem i poszukiwania całkowicie nowych rozwiązań.<br><br>

Zagadnienia badane przez astronomów teoretyków to między innymi: mechanika nieba, ewolucja gwiazd, powstawanie galaktyk, pochodzenie promieniowania kosmicznego, oraz kosmologia fizyczna, zagadnienia związane z teorią strun, a także astrofizyka cząstek, czy cykl CNO, który jest źródłem energii dla masywnych gwiazd. Narzędziem do badania wielu aspektów, takich jak wielkoskalowa struktura Wszechświata, procesy w pobliżu czarnych dziur czy emisji fal grawitacyjnych jest ogólna teoria względności.<br><br>
</p>
  </div>
  <div class="column" style="background-color:#94B912;">
    <h2>Zastosowania</h2>
    <p> 
Komputery są wykorzystywane na przykład do sterowania teleskopem Hubble'a. Jest to teleskop kosmiczny poruszający się po niskiej orbicie okołoziemskiej, nazwany na cześć amerykańskiego astronoma Edwina Hubble’a. 24 kwietnia 1990 roku został wyniesiony na orbitę przez prom kosmiczny Discovery. <br><br>
Do końca 2011 roku na podstawie danych z Hubble’a napisano ponad 10 000 prac naukowych. Teleskop Hubble’a pomógł w rozwikłaniu długowiecznych problemów astronomicznych, dostarczył również wiele danych, których wyjaśnienie wymaga nowych teorii. Spośród nich głównymi celami misji był dokładniejszy pomiar odległości do Cefeid, w wyniku czego stała Hubble’a, która określa tempo rozszerzania się Wszechświata proporcjonalnie do jego wieku, mogła być precyzyjniej oszacowana. Przed wystrzeleniem teleskopu błąd tego oszacowania wynosił ponad 50%, wraz z wykonaniem pomiarów odległości do cefeid w Gromadzie galaktyk w Pannie i innych dalekich gromad zmniejszył się do 10%.<br><br>
Wysokiej jakości zdjęcia dostarczone przez teleskop były doskonałe do udowodnienia powszechnego występowania czarnych dziur w centrach sąsiednich galaktyk. Podczas gdy we wczesnych latach 60. XX wieku istnienie tych obiektów w centrach niektórych galaktyk było hipotezą, wraz z wytypowaniem w latach 80. XX wieku potencjalnych kandydatów i obserwacjami przy pomocy teleskopu stwierdzono, że czarne dziury są najprawdopodobniej częstym obiektem centr wszystkich galaktyk. Programy badawcze Hubble’a dowiodły później, że masy czarnych dziur w centrach galaktyk są silnie skorelowane z rozmiarami tych ostatnich.
    </p>
  </div>
</div>

<h2>Komputer pokładowy w programie Apollo</h2>
Komputery pokładowe programu Apollo ang. Apollo Guidance Computers (AGC) służyły do kierowania Modułem Dowodzenia/Serwisowym ang. Command/Service Module (CSM) i modułem księżycowym ang. Lunar Module (LM). Głównym zadaniem komputerów programu Apollo była realizacja programów zgromadzonych w pamięciach komputerów. Programy były napisane w języku maszynowym i nazywały się Instrukcje Podstawowe. Najmniejszą jednostką adresowalną w AGC było słowo maszynowe o długości 16 bitów. Instrukcje podstawowe mogły być słowami maszynowymi przenoszącymi instrukcje lub słowami maszynowymi przenoszącymi dane. <br><br>

<img src="apollo.jpg" alt="komputery" class="center2"> <br><br>

W każdej misji programu Apollo używano dwóch identycznych komputerów, jeden ang. Command Module Computer (CMC) na pokładzie modułu dowodzenia, drugi ang. Lunar Guidance Computer (LGC) na pokładzie modułu księżycowego.<br><br>
AGC, które w programie Apollo służyły do kierowania CSM i kierowania LM podczas lądowania na powierzchni Księżyca, nie posiadały żadnego nośnika pamięci masowej używanego obecnie. W celu realizacji oprogramowania komputery posiadały po 74 kB informacji zgromadzonej w toroidalnych rdzeniach ferrytowych.

<a name="e"> </a>

<hr>

<h2> Test </h2>

<b>Współczesne maszyny do sekwencjonowania mogą odkodować w ciągu 24h około:</b> <br><br>
a) 0,5 mln zasad <br><br>
b) 1,5 mln zasad <br><br>
c) 2,5 mln zasad <br><br>
d) 5 mln zasad   <br><br>
Odpowiedź:<g>b</g>
<br><br>


<b>Najważniejszymi obszarami zainteresowań teoretycznej fizyki komputerowej są:</b> <br><br>
a) metody Monte Carlo i dynamika molekularna <br><br>
b) użycie algorytmów genetycznych <br><br>
c) metody wspomagania projektowania <br><br>
d) systemy akwizycji danych   <br><br>
Odpowiedź:<g>a</g>
<br><br> 

<b>Chemical Markup Language oparty jest na:</b> <br><br>
a) AXON <br><br>
b) YAML <br><br>
c) SGML <br><br>
d) XML  <br><br>
Odpowiedź:<g>d</g>
<br><br>

<b>Do końca 2011 roku na podstawie danych z Hubble’a napisano:</b> <br><br>
a) 1 000 prac naukowych <br><br>
b) 8 000 prac naukowych <br><br>
c) 10 000 prac naukowych <br><br>
d) 25 000 prac naukowych  <br><br>
Odpowiedź:<g>c</g>
<br><br> 

<b>W celu realizacji oprogramowania komputery Apollo Guidance Computers posiadały po:</b> <br><br>
a) 24 kB informacji <br><br>
b) 48 kB informacji <br><br>
c) 64 kB informacji <br><br>
d) 74 kB informacji  <br><br>
Odpowiedź:<g>d</g>

<br><br>
<table border=2 align="center">
<caption>Autor strony</caption>
<tr><th>Imię</th><th>e-mail</th></tr>
<tr><td>Mateusz Cieślak</td><td><a href=mailto:mateuszc324@onet.pl><p style="font-size:35px">mateuszc324@onet.pl</p></a></td></tr>
</table>
<br><br>
</div>
    
	</div>
</body>
</html>